Package net.shibboleth.idp.cas.flow.impl

# Enum Class Events

java.lang.Object
java.lang.Enum<Events>
net.shibboleth.idp.cas.flow.impl.Events

All Implemented Interfaces:
  `Serializable`, `Comparable<Events>`, `Constable`

public enum Events extends Enum<Events>
CAS protocol flow event identifiers.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Failure`
Generic failure event.
`ProxyTicketValidated`
Successful proxy ticket validation.
`ServiceTicketValidated`
Successful service ticket validation.
`Success`
Generic success event.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`Events()`

## Method Summary

Modifier and Type
Method
Description
`Event`
`event(Object source)`
Creates a Spring webflow event whose ID is given by `Enum.name()`.
`static Events`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Events[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ServiceTicketValidated

public static final Events ServiceTicketValidated
Successful service ticket validation.

### ProxyTicketValidated

public static final Events ProxyTicketValidated
Successful proxy ticket validation.

### Success

public static final Events Success
Generic success event.

### Failure

public static final Events Failure
Generic failure event.

## Constructor Details

### Events

private Events()

## Method Details

### values

public static Events[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Events valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### event

@Nonnull public Event event(@Nonnull Object source)
Creates a Spring webflow event whose ID is given by `Enum.name()`.

Parameters:
  `source` - Event source.
Returns:
  Spring webflow event.